Subject: deprecating psych migration

From: Gaute Hope <[email-masked]>
Date: Tue, 18 Mar 2014 15:24:28 +0100

hi,

i just pushed a pull request (#268) which deprecates yaml migration from
old 1.8 style configs. the tests for ruby > 2.1 were broken (for the
yaml migration bit) and I figured it was futile/not worth it to keep the
migration script running for successive rubies.

so, as of ruby 2.1.0 it won't be possible to migrate your old config
files automatically from pre 0.13 sup. the upgrade path will then either
involve using ruby < 2.0.0 to migrate, or to just manually
migrate/re-configure sup (which I think is will be the preferred way).

currently sup tests pass on 2.0 to 2.1.1 and I am running sup on ruby
2.1.1. seems to work fine.

- gaute